ru.bitel.bgbilling.modules.tv.runtime

## Class ServiceRuntimeList

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>
  - - ru.bitel.bgbilling.modules.tv.runtime.ServiceRuntimeList

-     public class ServiceRuntimeList
      extends ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServiceRuntimeList.ServiceItem`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `entries`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `containsMillis(ServiceRuntimeList.ServiceItem item, long millis)`
    `long` | `getTimeFrom(int serviceId)`
    `protected boolean` | `isCoincide(ServiceRuntimeList.ServiceItem item, ServiceRuntimeList.ServiceItem other)`
    `ServiceRuntimeList.ServiceItem` | `itemByServiceId(int serviceId)`
    `ServiceRuntimeList.ServiceItem[]` | `items()`
    `java.util.List<ServiceRuntimeList.ServiceItem>` | `listByProductId(int productId)`
    `java.util.List<ServiceRuntimeList.ServiceItem>` | `listEndingAt(long millis)`
    `static ServiceRuntimeList` | `newInstance(java.util.List<Service> serviceList)`
    `java.util.Map<java.lang.Integer,java.lang.Integer>` | `optionMap(long date1, long date2)`
    `ServiceRuntimeList` | `update(int productId, java.util.List<Service> newServiceList)`
    `void` | `updateState(int serviceId, short deviceState)`

    - ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `add, contains, contains, containsAll, containsAll, count, count, countMillis, countMillis, get, item, items, items, items, map, nextActivateTime, remove, size, toString, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### listEndingAt

          public java.util.List<ServiceRuntimeList.ServiceItem> listEndingAt(long millis)

    - #### listByProductId

          public java.util.List<ServiceRuntimeList.ServiceItem> listByProductId(int productId)

    - #### containsMillis

          protected boolean containsMillis(ServiceRuntimeList.ServiceItem item,
                                           long millis)

      Overrides:
        `containsMillis` in class `ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>`

    - #### isCoincide

          protected boolean isCoincide(ServiceRuntimeList.ServiceItem item,
                                       ServiceRuntimeList.ServiceItem other)

      Overrides:
        `isCoincide` in class `ru.bitel.common.util.AbstractPeriodItemSet<ServiceRuntimeList.ServiceItem>`

    - #### getTimeFrom

          public long getTimeFrom(int serviceId)

    - #### optionMap

          public java.util.Map<java.lang.Integer,java.lang.Integer> optionMap(long date1,
                                                                              long date2)

    - #### itemByServiceId

          public ServiceRuntimeList.ServiceItem itemByServiceId(int serviceId)

    - #### newInstance

          public static ServiceRuntimeList newInstance(java.util.List<Service> serviceList)

    - #### items

          public ServiceRuntimeList.ServiceItem[] items()

    - #### update

          public ServiceRuntimeList update(int productId,
                                           java.util.List<Service> newServiceList)

    - #### updateState

          public void updateState(int serviceId,
                                  short deviceState)